Skip Menu |
 

This queue is for tickets about the PAR-Packer CPAN distribution.

Report information
The Basics
Id: 21725
Status: open
Priority: 0/
Queue: PAR-Packer

People
Owner: Nobody in particular
Requestors: rumen [...] skyarchive.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: Fedora Core and PAR
Date: Tue, 26 Sep 2006 12:31:09 +0300
To: bug-PAR [...] rt.cpan.org
From: "Rumen Bogdanovski" <rumen [...] skyarchive.org>
Download (untitled) / with headers
text/plain 1.3k
Hi Stefan, I have a problem with latest PAR on fedora core 4 and 5. I am creating an executable using "pp -M Tk::Bitmap -o photclient photclient.pl" the executable works fine on the version where it is created but gives error on the other. executable created on FC4 gives the fillowing message on FC5: $./photclient Goto undefined subroutine &DynaLoader::bootstrap_inherit at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/XSLoader.pm line 96. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. Compilation failed in require at -e line 313. ------------------------ I have tryed -M DynaLoader but no effect. As a comparison: on Slackware executable made on slckware 9 works just perfect on 10.2 and 11.0 rc5... What might be the problem any idea? 10x a lot! Rumen
From: SMUELLER [...] cpan.org
Download (untitled) / with headers
text/plain 2.6k
Hi Rumen, On Di. 26. Sep. 2006, 05:31:21, rumen@skyarchive.org wrote: Show quoted text
> I have a problem with latest PAR on fedora core 4 and 5. > I am creating an executable using "pp -M Tk::Bitmap -o photclient > photclient.pl" > the executable works fine on the version where it is created but gives
error Show quoted text
> on the other. > executable created on FC4 gives the fillowing message on FC5: > > $./photclient > Goto undefined subroutine &DynaLoader::bootstrap_inherit at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/XSLoader.pm line 96. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. > Compilation failed in require at -e line 313. > > ------------------------ > I have tryed -M DynaLoader but no effect. > > As a comparison: on Slackware executable made on slckware 9 works just > perfect on 10.2 and 11.0 rc5... > > What might be the problem any idea?
I'm at a loss. Perhaps some more detailed information would help: - What version of PAR is it? 0.953 which was released yesterday? - How did you install it? Did you compile it from source or did you use a package manager to install it? - Are the OS's on the same hardware platform? What happens if you put this at the top of your script: @INC = grep { ref($_) } @INC; If that *does* help, you're probably using 0.952 and an upgrade to 0.953 might help. The code above is just for testing. 0.953 incorporates something similar but more robust. (See ChangeLog) Also, if the above doesn't help, please run this on both OS's both as a script and a pp-ed binary and send me the output. If you are using 0.953, I would expect the output to differ between the script and the pp versions in that the output from the binary only has to elements (CODE refs) and no paths. #!/usr/bin/perl use Data::Dumper; print Dumper \@INC; If this all doesn't help, we can turn to the PAR mailing list once again. We had a brief discussion of the @INC changes introduced in 0.953. You can look at the archives if you would like to know why I am suggesting tampering with @INC. Then, if that doesn't help, I might need to look at the code. That, however, has to wait until the week-end or even next week at the least. Steffen
Subject: Re: [rt.cpan.org #21725] Fedora Core and PAR
Date: Tue, 26 Sep 2006 16:54:03 +0300
To: bug-PAR [...] rt.cpan.org
From: "Rumen Bogdanovski" <rumen [...] skyarchive.org>
Download (untitled) / with headers
text/plain 3.3k
Hi Steffen, Where can I get PAR 0.953 http://cpan.cbox.biz/authors/id/S/SM/SMUELLER/PAR-0.953.tar.gz is a text file containing: "/home/tsee/data/perl/par/PAR-0.953.tar.gz" by adding the line: @INC = grep { ref($_) } @INC; It stopped working completely, I get another error: couldn't read bitmap file "": No such file or directoryerror reading bitmap file "" at Tk/Widget.pm line 205. at Tk/Widget.pm line 203 I want to try 0.953 but I could not find it. Rumen On Tue, 26 Sep 2006 15:23:41 +0300, Steffen Müller via <RT" <bug-PAR@rt.cpan.org>> wrote: Show quoted text
> > <URL: http://rt.cpan.org/Ticket/Display.html?id=21725 > > > Hi Rumen, > > On Di. 26. Sep. 2006, 05:31:21, rumen@skyarchive.org wrote:
>> I have a problem with latest PAR on fedora core 4 and 5. >> I am creating an executable using "pp -M Tk::Bitmap -o photclient >> photclient.pl" >> the executable works fine on the version where it is created but gives
> error
>> on the other. >> executable created on FC4 gives the fillowing message on FC5: >> >> $./photclient >> Goto undefined subroutine &DynaLoader::bootstrap_inherit at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/XSLoader.pm line 96. >> Compilation failed in require at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. >> BEGIN failed--compilation aborted at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. >> Compilation failed in require at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. >> BEGIN failed--compilation aborted at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. >> Compilation failed in require at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. >> BEGIN failed--compilation aborted at >> /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. >> Compilation failed in require at -e line 313. >> >> ------------------------ >> I have tryed -M DynaLoader but no effect. >> >> As a comparison: on Slackware executable made on slckware 9 works just >> perfect on 10.2 and 11.0 rc5... >> >> What might be the problem any idea?
> > I'm at a loss. Perhaps some more detailed information would help: > - What version of PAR is it? 0.953 which was released yesterday? > - How did you install it? Did you compile it from source or did you use > a package manager to install it? > - Are the OS's on the same hardware platform? > > What happens if you put this at the top of your script: > > @INC = grep { ref($_) } @INC; > > If that *does* help, you're probably using 0.952 and an upgrade to 0.953 > might help. The code above is just for testing. 0.953 incorporates > something similar but more robust. (See ChangeLog) > > Also, if the above doesn't help, please run this on both OS's both as a > script and a pp-ed binary and send me the output. If you are using > 0.953, I would expect the output to differ between the script and the pp > versions in that the output from the binary only has to elements (CODE > refs) and no paths. > > #!/usr/bin/perl > use Data::Dumper; > print Dumper \@INC; > > If this all doesn't help, we can turn to the PAR mailing list once > again. We had a brief discussion of the @INC changes introduced in > 0.953. You can look at the archives if you would like to know why I am > suggesting tampering with @INC. > > Then, if that doesn't help, I might need to look at the code. That, > however, has to wait until the week-end or even next week at the least. > > Steffen
Subject: Re: [rt.cpan.org #21725] Fedora Core and PAR
Date: Tue, 26 Sep 2006 22:55:50 +0200
To: bug-PAR [...] rt.cpan.org
From: Steffen Mueller <rt8363b02 [...] sneakemail.com>
Download (untitled) / with headers
text/plain 179b
Rumen Bogdanovski via RT schrieb: Show quoted text
> I want to try 0.953 but I could not find it.
Sorry. The upload was broken. I just uploaded 0.954. (Can't overwrite files on PAUSE.) Steffen
Subject: Re: [rt.cpan.org #21725] Fedora Core and PAR
Date: Wed, 27 Sep 2006 00:13:32 +0300
To: bug-PAR [...] rt.cpan.org
From: "Rumen Bogdanovski" <rumen [...] skyarchive.org>
Download (untitled) / with headers
text/plain 399b
Can't find it! Would you please send it on my e-mail? On Tue, 26 Sep 2006 23:55:58 +0300, Steffen Mueller via RT <bug-PAR@rt.cpan.org> wrote: Show quoted text
> > <URL: http://rt.cpan.org/Ticket/Display.html?id=21725 > > > Rumen Bogdanovski via RT schrieb:
>> I want to try 0.953 but I could not find it.
> > Sorry. The upload was broken. I just uploaded 0.954. (Can't overwrite > files on PAUSE.) > > Steffen
Subject: Re: [rt.cpan.org #21725] Fedora Core and PAR
Date: Wed, 27 Sep 2006 10:22:44 +0300
To: bug-PAR [...] rt.cpan.org
From: "Rumen Bogdanovski" <rumen [...] skyarchive.org>
Download (untitled) / with headers
text/plain 633b
Hi Steffen, Unfortunately with 0.954 it is not working at all. No messages on the screen. This is a perl TK application, but no windows appeared, just 95% CPU usage and nothing happened for 5 minutes... :( I will be back to this next week now I have to go on observations... Rumen On Tue, 26 Sep 2006 23:55:58 +0300, Steffen Mueller via RT <bug-PAR@rt.cpan.org> wrote: Show quoted text
> > <URL: http://rt.cpan.org/Ticket/Display.html?id=21725 > > > Rumen Bogdanovski via RT schrieb:
>> I want to try 0.953 but I could not find it.
> > Sorry. The upload was broken. I just uploaded 0.954. (Can't overwrite > files on PAUSE.) > > Steffen
Download (untitled) / with headers
text/plain 541b
On Mi. 27. Sep. 2006, 03:28:34, rumen@skyarchive.org wrote: Show quoted text
> Unfortunately with 0.954 it is not working at all. No messages on the > screen. This is a perl TK application, but no windows appeared, just 95% > CPU usage and nothing happened for 5 minutes... :(
Please have a look at my answer to http://rt.cpan.org/Ticket/Display.html?id=21845 Basically, it's a problem with some libs loaded from the archive. The reason you weren't seeing this all the time with 0.952 is that it might have picked up libs from the system perl. Steffen
Download (untitled) / with headers
text/plain 361b
Please try PAR 0.956 which should hit CPAN soonish. You can also get it from http://steffen-mueller.net/tmp/PAR-0.956.tar.gz for a short time. I am confident I fixed the bug you were experiencing. I'm closing the ticket, but if you just send a quick reply if something goes wrong, the ticket will be reopenend automatically. Thanks for the bug report, Steffen
Subject: Re: [rt.cpan.org #21725] Resolved: Fedora Core and PAR
Date: Wed, 4 Oct 2006 00:30:32 +0300
To: bug-PAR [...] rt.cpan.org
From: "Rumen Bogdanovski" <rumen.bogdanovski [...] gmail.com>
Download (untitled) / with headers
text/plain 4.7k
Hallo Steffen, The problem with running FC4 built executables on FC5 still exists with 0.956. I have performed the tests you have asked me. I have dumped @INC of the script and packed executable on both versions. I do not know how it will help but here is the output: Fedora core 4 script [rumen@fcbc2 photclient-0.9b17]$ ./photclient.pl $VAR1 = [ '/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.6', '/usr/lib/perl5/site_perl/5.8.5', '/usr/lib/perl5/site_perl/5.8.4', '/usr/lib/perl5/site_perl/5.8.3', '/usr/lib/perl5/site_perl', '/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.6', '/usr/lib/perl5/vendor_perl/5.8.5', '/usr/lib/perl5/vendor_perl/5.8.4', '/usr/lib/perl5/vendor_perl/5.8.3', '/usr/lib/perl5/vendor_perl', '/usr/lib/perl5/5.8.6/i386-linux-thread-multi', '/usr/lib/perl5/5.8.6', '.' ]; Fedora Core 4 & PAR-0.956 [rumen@fcbc2 photclient-0.9b17]$ ./photclient $VAR1 = [ '/tmp/par-rumen/cache-4152420903ff694b437844f0ea31384f49c478ff/inc/lib', '/tmp/par-rumen/cache-4152420903ff694b437844f0ea31384f49c478ff/inc', sub { "DUMMY" }, sub { "DUMMY" } ]; Fedora Core 5 script [root@fc5 ~]# ./photclient.pl $VAR1 = [ '/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi', '/usr/lib/perl5/site_perl/5.8.8', '/usr/lib/perl5/site_perl/5.8.7', '/usr/lib/perl5/site_perl/5.8.6', '/usr/lib/perl5/site_perl/5.8.5', '/usr/lib/perl5/site_perl/5.8.4', '/usr/lib/perl5/site_perl/5.8.3', '/usr/lib/perl5/site_perl', '/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi', '/usr/lib/perl5/vendor_perl/5.8.8', '/usr/lib/perl5/vendor_perl/5.8.7', '/usr/lib/perl5/vendor_perl/5.8.6', '/usr/lib/perl5/vendor_perl/5.8.5', '/usr/lib/perl5/vendor_perl/5.8.4', '/usr/lib/perl5/vendor_perl/5.8.3', '/usr/lib/perl5/vendor_perl', '/usr/lib/perl5/5.8.8/i386-linux-thread-multi', '/usr/lib/perl5/5.8.8', '.' ]; built on fedora Core 4 on Fedora core 5 [root@fc5 ~]# ./photclient Goto undefined subroutine &DynaLoader::bootstrap_inherit at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/XSLoader.pm line 96. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. Compilation failed in require at -e line 313. Fedora Core 5 built on FC5 PAR-0.956 [root@fc5 ~]# ./photclient $VAR1 = [ '/tmp/par-root/cache-ea8a8544a89d36d4972839916467b2136ff91fd8/inc/lib', '/tmp/par-root/cache-ea8a8544a89d36d4972839916467b2136ff91fd8/inc', sub { "DUMMY" }, sub { "DUMMY" } ]; On 10/3/06, Steffen Müller via RT <bug-PAR@rt.cpan.org> wrote: Show quoted text
> <URL: http://rt.cpan.org/Ticket/Display.html?id=21725 > > > According to our records, your request has been resolved. If you have any > further questions or concerns, please respond to this message. >
Download (untitled) / with headers
text/plain 1.9k
On Di. 03. Okt. 2006, 17:30:46, rumen.bogdanovski@gmail.com wrote: Show quoted text
> The problem with running FC4 built executables on FC5 still exists > with 0.956. I have performed the tests you have asked me. I have > dumped @INC of the script and packed executable on both versions. I > do not know how it will help but here is the output:
My idea was that some locally installed version of some XS module was being picked up which might be incompatible. Hence dumping the @INC paths. Seems I was wrong. The CPU-hogging bug, however, seems to have been related to that as expected. Show quoted text
> built on fedora Core 4 on Fedora core 5 > [root@fc5 ~]# ./photclient > Goto undefined subroutine &DynaLoader::bootstrap_inherit at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/XSLoader.pm line 96. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. > Compilation failed in require at -e line 313.
Right now, I have no idea what causes this. I'll keep it on my TODO list to look into it. Just one more question: The two OS's run on the same hardware platform, right? (I know, I'm desperate.) Someone on #p5p suggested upgrading XSLoader. Can you upgrade your XSLoader to the current CPAN version (0.06) before packaging the application? I don't actually *expect* that this will make the problem go away, but it might reveal a better error message. I'm sorry that I can't debug this directly myself, but I can't reproduce the problem on any of my machines. Steffen
Download (untitled) / with headers
text/plain 4.8k
Hi Rumen, On Di. 03. Okt. 2006, 17:30:46, rumen.bogdanovski@gmail.com wrote: Show quoted text
> Hallo Steffen, > The problem with running FC4 built executables on FC5 still exists > with 0.956. I have performed the tests you have asked me. I have > dumped @INC of the script and packed executable on both versions. I > do not know how it will help but here is the output: > > Fedora core 4 script > [rumen@fcbc2 photclient-0.9b17]$ ./photclient.pl > $VAR1 = [ > '/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.6', > '/usr/lib/perl5/site_perl/5.8.5', > '/usr/lib/perl5/site_perl/5.8.4', > '/usr/lib/perl5/site_perl/5.8.3', > '/usr/lib/perl5/site_perl', > '/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.6', > '/usr/lib/perl5/vendor_perl/5.8.5', > '/usr/lib/perl5/vendor_perl/5.8.4', > '/usr/lib/perl5/vendor_perl/5.8.3', > '/usr/lib/perl5/vendor_perl', > '/usr/lib/perl5/5.8.6/i386-linux-thread-multi', > '/usr/lib/perl5/5.8.6', > '.' > ]; > > > Fedora Core 4 & PAR-0.956 > > [rumen@fcbc2 photclient-0.9b17]$ ./photclient > $VAR1 = [ > '/tmp/par-rumen/cache- > 4152420903ff694b437844f0ea31384f49c478ff/inc/lib', > '/tmp/par-rumen/cache- > 4152420903ff694b437844f0ea31384f49c478ff/inc', > sub { "DUMMY" }, > sub { "DUMMY" } > ]; > > > Fedora Core 5 script > > [root@fc5 ~]# ./photclient.pl > $VAR1 = [ > '/usr/lib/perl5/site_perl/5.8.8/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.7/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.6/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.5/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.4/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi', > '/usr/lib/perl5/site_perl/5.8.8', > '/usr/lib/perl5/site_perl/5.8.7', > '/usr/lib/perl5/site_perl/5.8.6', > '/usr/lib/perl5/site_perl/5.8.5', > '/usr/lib/perl5/site_perl/5.8.4', > '/usr/lib/perl5/site_perl/5.8.3', > '/usr/lib/perl5/site_perl', > '/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.7/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.6/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.4/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.3/i386-linux-thread-multi', > '/usr/lib/perl5/vendor_perl/5.8.8', > '/usr/lib/perl5/vendor_perl/5.8.7', > '/usr/lib/perl5/vendor_perl/5.8.6', > '/usr/lib/perl5/vendor_perl/5.8.5', > '/usr/lib/perl5/vendor_perl/5.8.4', > '/usr/lib/perl5/vendor_perl/5.8.3', > '/usr/lib/perl5/vendor_perl', > '/usr/lib/perl5/5.8.8/i386-linux-thread-multi', > '/usr/lib/perl5/5.8.8', > '.' > ]; > > built on fedora Core 4 on Fedora core 5 > [root@fc5 ~]# ./photclient > Goto undefined subroutine &DynaLoader::bootstrap_inherit at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/XSLoader.pm line 96. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. > Compilation failed in require at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. > BEGIN failed--compilation aborted at > /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. > Compilation failed in require at -e line 313. > > Fedora Core 5 built on FC5 PAR-0.956 > [root@fc5 ~]# ./photclient > $VAR1 = [ > '/tmp/par-root/cache- > ea8a8544a89d36d4972839916467b2136ff91fd8/inc/lib', > '/tmp/par-root/cache- > ea8a8544a89d36d4972839916467b2136ff91fd8/inc', > sub { "DUMMY" }, > sub { "DUMMY" } > ]; > > >
Does the newest PAR (0.959) address this? It might well do that because the parl-embedded modules are regenerated for every pp-call. Steffen
Subject: Re: [rt.cpan.org #21725] Fedora Core and PAR
Date: Mon, 13 Nov 2006 16:48:45 +0200
To: bug-PAR [...] rt.cpan.org
From: "Rumen Bogdanovski" <rumen [...] skyarchive.org>
Download (untitled) / with headers
text/plain 850b
Hi steffen, unfortunately No: [root@fc5 ~]# ./photclient Undefined subroutine &DynaLoader::bootstrap called at /usr/lib/perl5/5.8.6/XSLoader.pm line 111. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Handle.pm line 260. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/Seekable.pm line 101. Compilation failed in require at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.6/i386-linux-thread-multi/IO/File.pm line 117. Compilation failed in require at -e line 313. [root@fc5 ~]#


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.